Untrack API version with Git

GET https://{controlplane_path}/api/1/rest/public/apim/untrack/{path_to_apiversion_or_service}
Important: This API works for both Classic and APIM 3.0 assets.

Stop tracking a Classic API version or APIM 3.0 Service with Git.

Prerequisites

  • Write access to the assets to add or update.

Limitations

  • You can't use SnapLogic service accounts to call any of the SnapLogic API Management Git operation APIs.

Example

This example uses Basic authentication. For a JWT example, refer to Authentication.

curl -X 'GET' \
  'https://elastic.snaplogic.com/api/1/rest/public/apim/untrack/acme/apim/BookStore/1.0' \
  -H 'Authorization: Basic {base64_encoded email:password}'

Path parameters

Key Description
controlplane_path Required. The path to the SnapLogic control plane: elastic.snaplogic.com
For the UAT or EMEA control plane, substitute the name for elastic. For example:
  • uat.elastic.snaplogic.com
  • emea.snaplogic.com
path_to_apiversion Required. The path to the SnapLogic API version.

Format: /org_name/apim/api/apiversion

Important: The path comparison is case-sensitive.

Query parameters

None.

Request header

Use the application/json content type with basic authentication (email and password) or a JWT. For examples, refer to Authentication.

Request body

{
    "response_map": {
        "untracked_projects": [
            "path_to_apiversion"
        ]
    },
    "http_status_code": 200
}
Key Type Description
untracked_projects array An array containing paths to API versions or Services to untrack.
path_to_apiversion string The path to the API version or Service.

Response


response:
{
    "response_map": {
        "untracked_projects": [
            "/org_name/apim/api/apiversion"
        ]
    },
    "http_status_code": 200
}
Key Type Description
path to api version array The path to the API version or Service.

Error handling

{
    "http_status_code": 400,
    "response_map": {
        "error_list": [
            {
                "message": "Project is not backed by a Git repository: automation/apim/apiversion/1.0"
            }
        ]
    }
}
HTTP status codes Status Description Resolution
400 Bad Request The API returns this response when the request is missing required parameters. Check if the branch is backed by Git repository.